Client System Requirements

The edu-sharing frontend uses Angular and Angular Material as a framework to provide a SPA (Single Page Application).

The requirements of Angular include that the client system uses a recent browser:

BrowserSupported versions
Chromelatest
Firefoxlatest and extended support release (ESR)
Edge2 most recent major versions
Safari2 most recent major versions
iOS2 most recent major versions
Android2 most recent major versions

Source: https://angular.io/guide/browser-support

The client browser also needs to have Javascript enabled.